Module javafx.graphics
Package javafx.scene.effect

## Class MotionBlur

- java.lang.Object
- - javafx.scene.effect.Effect
  - - javafx.scene.effect.MotionBlur

-     public class MotionBlur
      extends Effect

  A motion blur effect using a Gaussian convolution kernel, with a configurable radius and angle.

  Example:

       MotionBlur motionBlur = new MotionBlur();
       motionBlur.setRadius(30);
       motionBlur.setAngle(-15.0);

       Text text = new Text();
       text.setX(20.0);
       text.setY(100.0);
       text.setText("Motion!");
       text.setFill(Color.web("0x3b596d"));
       text.setFont(Font.font(null, FontWeight.BOLD, 60));
       text.setEffect(motionBlur);

  The code above produces the following:

  Since:
    JavaFX 2.0

- - ### Property Summary

    Properties
    Type | Property | Description
    --- | --- | ---
    `DoubleProperty` | `angle` | The angle of the motion effect, in degrees.
    `ObjectProperty<Effect>` | `input` | The input for this `Effect`.
    `DoubleProperty` | `radius` | The radius of the blur kernel.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MotionBlur()` | Creates a new instance of MotionBlur with default parameters.
    `MotionBlur​(double angle, double radius)` | Creates a new instance of MotionBlur with the specified angle and radius.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DoubleProperty` | `angleProperty()` | The angle of the motion effect, in degrees.
    `double` | `getAngle()` | Gets the value of the property angle.
    `Effect` | `getInput()` | Gets the value of the property input.
    `double` | `getRadius()` | Gets the value of the property radius.
    `ObjectProperty<Effect>` | `inputProperty()` | The input for this `Effect`.
    `DoubleProperty` | `radiusProperty()` | The radius of the blur kernel.
    `void` | `setAngle​(double value)` | Sets the value of the property angle.
    `void` | `setInput​(Effect value)` | Sets the value of the property input.
    `void` | `setRadius​(double value)` | Sets the value of the property radius.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### input

          public final ObjectProperty<Effect> inputProperty

      The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
      Default value:
        null
      See Also:
        `getInput()`, `setInput(Effect)`

    - #### radius

          public final DoubleProperty radiusProperty

      The radius of the blur kernel.

                 Min:  0.0
                 Max: 63.0
             Default: 10.0
            Identity:  0.0

      Default value:
        10.0
      See Also:
        `getRadius()`, `setRadius(double)`

    - #### angle

          public final DoubleProperty angleProperty

      The angle of the motion effect, in degrees.

                 Min: n/a
                 Max: n/a
             Default: 0.0
            Identity: n/a

      Default value:
        0.0
      See Also:
        `getAngle()`, `setAngle(double)`

  - ### Constructor Detail

    - #### MotionBlur

          public MotionBlur()

      Creates a new instance of MotionBlur with default parameters.

    - #### MotionBlur

          public MotionBlur​(double angle,
                            double radius)

      Creates a new instance of MotionBlur with the specified angle and radius.
      Parameters:
        `angle` - the angle of the motion effect, in degrees
        `radius` - the radius of the blur kernel
      Since:
        JavaFX 2.1

  - ### Method Detail

    - #### setInput

          public final void setInput​(Effect value)

      Sets the value of the property input.
      Property description:
        The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
      Default value:
        null

    - #### getInput

          public final Effect getInput()

      Gets the value of the property input.
      Property description:
        The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
      Default value:
        null

    - #### inputProperty

          public final ObjectProperty<Effect> inputProperty()

      The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
      Default value:
        null
      See Also:
        `getInput()`, `setInput(Effect)`

    - #### setRadius

          public final void setRadius​(double value)

      Sets the value of the property radius.
      Property description:
        The radius of the blur kernel.

                   Min:  0.0
                   Max: 63.0
               Default: 10.0
              Identity:  0.0

      Default value:
        10.0

    - #### getRadius

          public final double getRadius()

      Gets the value of the property radius.
      Property description:
        The radius of the blur kernel.

                   Min:  0.0
                   Max: 63.0
               Default: 10.0
              Identity:  0.0

      Default value:
        10.0

    - #### radiusProperty

          public final DoubleProperty radiusProperty()

      The radius of the blur kernel.

                 Min:  0.0
                 Max: 63.0
             Default: 10.0
            Identity:  0.0

      Default value:
        10.0
      See Also:
        `getRadius()`, `setRadius(double)`

    - #### setAngle

          public final void setAngle​(double value)

      Sets the value of the property angle.
      Property description:
        The angle of the motion effect, in degrees.

                   Min: n/a
                   Max: n/a
               Default: 0.0
              Identity: n/a

      Default value:
        0.0

    - #### getAngle

          public final double getAngle()

      Gets the value of the property angle.
      Property description:
        The angle of the motion effect, in degrees.

                   Min: n/a
                   Max: n/a
               Default: 0.0
              Identity: n/a

      Default value:
        0.0

    - #### angleProperty

          public final DoubleProperty angleProperty()

      The angle of the motion effect, in degrees.

                 Min: n/a
                 Max: n/a
             Default: 0.0
            Identity: n/a

      Default value:
        0.0
      See Also:
        `getAngle()`, `setAngle(double)`